Get a page of hazard categories

Path Parameters
  • dgHazardClassId
    Type: stringFormat: uuid
    required
Query Parameters
  • PageIndex
    Type: integerFormat: int32

    The page index of the search.

  • PageSize
    Type: integerFormat: int32

    The number of hazard classes to be returned in the response. Returns pages of up to 500 records.

  • SearchText
    Type: string

    The search text to filter hazard classes by.

Responses
  • application/json
Request Example for get/v1/dg-hazard-classes/{dgHazardClassId}/dg-hazard-categories
curl 'https://api.consignlyhq.com/v1/dg-hazard-classes/123e4567-e89b-12d3-a456-426614174000/dg-hazard-categories?PageIndex=1&PageSize=25&SearchText=Flamable'
{
  "index": 1,
  "total": 1,
  "dgHazardCategories": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": null
    }
  ]
}